<?php
/*
 * Class: EdlLinkFavicon
 * By: Edward de Leau, http://edward.de.leau.net
 *
 */
if (!class_exists("EdlLinkFavicon") && class_exists("EdlHtmlHref")) 
{
	class EdlLinkFavicon extends EdlHtmlHref
	{
		
		const IMAGE ='f.png';
		const GOOGLE_ICON_URL = 'http://www.google.com/s2/favicons?domain=';
		private $url;

		private $mArrLinkFaviconOptions = array();
		
		// set DEBUG to 1 for now to debug
		// :TODO add more debug levels for more kinds of tests
		public $mDebugLevel = 0;
		
		/*
  		 * constructor
		 */
		public function __construct() 
		{
		}
		function EdlLinkFavicon()
		{
			return $this->__construct();
		}
		
		public function SetDebugLevel($boolDebugLevel) {
			$this->mDebugLevel = $boolDebugLevel;	
			if ($this->mDebugLevel != 1):			
				echo "*** debug level is now off<br />";
			else:
				echo "*** debug level is now on<br />";
			endif;
		}
		
		/*
		 *
		 * not used yet
		 *
		 */
		public function Init($mArrLinkFaviconOptions = array()) {
			if ($this->mDebugLevel==1):
				$this->mArrLinkFaviconOptions['not_used_yet'] = 1;				
			else:		
				$this->mArrLinkFaviconOptions = $ArrLinkFaviconOptions;
			endif;
			
	
		}
			
		/*
		 *
		 *
		 */
		public function AddFilter() 
		{
			//if ($this->mArrLinkFaviconOptions['showicon1']])			
			//{
				add_filter('the_content', array($this,'ReplaceAll'), 9);
			//}		
		}
						
		
		/*
		 * creates and returns the Icon HTML to be added after the href
		 */
		function GetIconHTML($strHtmlUri)
		{
			$str_favicon_string = '';
		
			$str_favicon_string .= ' <img src="' . self::GOOGLE_ICON_URL;
			$parsed_url = parse_url($strHtmlUri); 	
			$str_favicon_string .= $parsed_url[host] . '" class="wp-favicon" />';
						
			return $str_favicon_string;
		}
		
		/*
		 *
		 */
		function CreateAndGetIcon($strHtmlUri) 
		{
			// Add the icon html code and the text html code			
			$str_favicon_string = $this->GetIconHtml($strHtmlUri);
			
			return $str_favicon_string;
		}
		
		/*
		 *
		 */
		public function SpecificHrefBefore($strHtmlUri) 
		{

			return $str_favicon = $this->CreateAndGetIcon($strHtmlUri);		
		}
				
	} 
} 

?>