<?php
/*
Plugin Name: WP-FavIcons
Plugin URI: http://wp.leau.co
Description: Put the favicon of a url before the link using Google Favicons
Author: Edward de Leau
Author URI: http://edward.de.leau.net
Version: 0.1

License: Copyright 2008,2009,2010,2011  edward de Leau  (email : deleau@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
	
Installation:
	1. Upload the directory in your plugins directory
	2. Activate the plugin from your WordPress admin 'Plugins' page.
	3. There are no admin pages yet
	
Background:
    see: http://wordpress.stackexchange.com/questions/7875/plugin-that-inserts-favicon-next-to-links	
	
*/

require_once(ABSPATH . '/wp-admin/includes/plugin.php');
require_once(ABSPATH . WPINC . '/pluggable.php');
include_once(ABSPATH . WPINC . '/rss.php');
require_once dirname( __FILE__  ) . '/edl-classes/class-EdlHtmlRef.php';
require_once dirname( __FILE__  ) . '/edl-classes/class-EdlLinkFavicon.php';

if (class_exists("EdlLinkFavicon"))
{
	try 
	{		
		$link_favicon = new EdlLinkFavicon();
		$link_favicon->AddFilter();
	}
	catch(Exception $e)
	{
		echo $e->getMessage();
		exit();
	}
}

?>